Payments

Request a payment or payout

Send a payment or payout.

Note: successful payout requests will always return a 202 response.

Headers
  • Cko-Idempotency-Key
    Type: string

    An optional idempotency key for safely retrying payment requests

Body
application/json
    • currency
      Type: string
      min length:  
      3
      max length:  
      3
      required

      The three-letter ISO currency code

    • source

      The source of the payment

      A card payment source

      • type
        Discriminator
        Type: string
        required
        • enum
          const:  
          card

          The payment source type.

          values
          • card
      • number
        Type: string
        required

        The card number (without separators)

      • expiry_month
        Type: integer
        min:  
        1
        max:  
        12
        required

        The expiry month of the card

      • expiry_year
        Type: integer
        required

        4-digit expiry year of the card

      • name
        Type: string

        The name of the cardholder

      • cvv
        Type: string
        min length:  
        3
        max length:  
        4

        The card verification value/code. 3 digits, except for American Express (4 digits)

      • stored
        Type: boolean

        Indicates whether this card is being submitted from your own stored card-on-file system, rather than being entered by the customer at the time of payment. Set to true when you provide card details that you already have on file for the customer.

      • store_for_future_use
        Type: boolean

        This must be set to true if you intend to reuse the payment credentials in subsequent payments. Setting the field as false will mean that a payment instrument will not be included in the payment response.

      • billing_address
        Type: object ·

        The billing address of the cardholder

      • phone
        Type: object ·

        The phone number of the cardholder

      • account_holder
        Type: object

        Information about the account holder of the card

      • allow_update
        Type: boolean

        Specifies whether to use the Real-Time Account Updater to update the card information.

    • fallback_source
      Type: object ·

      A card payment source

    • amount
      Type: integer Format: int64
      min:  
      0
      max:  
      9999999999

      The payment amount. To perform a card verification, do not provide the amount or provide a value of 0.

      The amount must be provided in the minor currency unit.

    • payment_type
      Type: string enum

      The type of payment.

      This field is required for card payments in which the cardholder is not present. For example, mail orders, telephone orders, or merchant-initiated transactions (MITs) in a recurring payment series.

      For MITs, this field must not be set to Regular.

      values
      • Regular
      • Recurring
      • MOTO
      • Installment
      • PayLater
      • Unscheduled
    • payment_plan

      The details of a recurring subscription or installment

      • Type: object ·

        The information to process a recurring payment request. To be used when the payment_type is recurring.

        • amount_variability
          Type: string enum

          Specifies whether the amount is fixed or variable for each recurrence.

          values
          • Fixed
          • Variable
        • days_between_payments
          Type: integer

          Indicates the minimum number of days between payments

        • total_number_of_payments
          Type: integer

          Indicates the agreed total number of payments

        • current_payment_number
          Type: integer

          The number of the current installment payment

        • expiry
          Type: string

          The date after which no further payments will be performed in the format YYYYMMDD

        • name
          Type: string
          max length:  
          35

          The name of the payment plan.

          Required when source.type is blik. For Blik merchant-initiated requests using an external partner_agreement_id, this value is used as the Blik Alias Label.

        • start_date
          Type: string

          The date on which the first payment will be taken, in YYYYMMDD format.

          Required when source.type is blik and the recurring agreement is created without an initial payment (amount set to 0).

        • amount
          Type: integer
          min:  
          1

          The amount to charge for each payment in the plan, in the minor currency unit.

          Required when source.type is blik, payment_plan.amount_variability is Fixed, and the recurring agreement is created without an initial payment (amount set to 0).

    • merchant_initiated
      Type: boolean

      Whether the payment is a merchant-initiated transaction (MIT).

      Must be set to true for all MITs.

      If you set this field to true, the value for payment_type must not be set to Regular.

    • reference
      Type: string
      max length:  
      80

      A reference you can use to identify the payment. For example, an order number.

      • For Amex payments, the reference has a 30-character limit.
      • For Benefit payments, the reference must be a unique alphanumeric value.
      • For Blik payments, the reference has a 35-character limit.
      • For Discover payments, the reference has a 60-character limit.
      • For iDEAL payments, the reference is required and must be an alphanumeric value with a 35-character limit.
      • For OmanNet payments, the reference must be a unique alphanumeric value between 12 and 30 characters long, generated for every payment action.
      • For seQura payments, the reference is required and must be a unique value.
      • For TWINT payments, the reference has a 50 character limit.
    • description
      Type: string
      max length:  
      100

      A description of the payment.

    • authorization_type
      Type: string enum

      The authorization type

      values
      • Final
      • Estimated
    • partial_authorization
      Type: object ·

      Required information to allow partial authorization

    • capture
      Type: boolean

      Whether to capture the payment (if applicable)

    • capture_on
      Type: string · Format: date-time

      A timestamp (ISO 8601 code) that determines when the payment should be captured. Providing this field will automatically set capture to true

    • expire_on
      Type: string · Format: date-time

      The date and time when the Multibanco payment expires in UTC.
      Format – ISO 8601
      Example– 2025-01-31T10:20:30.456

    • customer
      Type: object ·

      The customer's details. Required if source.type is tamara

    • billing_descriptor
      Type: object ·

      An optional description that is displayed on the customer's statement identifying a purchase.

    • shipping
      Type: object ·

      The shipping details.

    • 3ds

      Information required for 3D Secure authentication payments.

      Required information to process a 3DS authentication with the payment request

      • Required information to process a 3DS authentication with the payment request

    • authentication
      Type: object ·

      Provides information required to authenticate payments.

    • processing_channel_id
      Type: string Pattern: ^(pc)_(\w{26})$

      The processing channel to be used for the payment

    • previous_payment_id
      Type: string
      max length:  
      100

      An identifier that links the payment to an existing series of payments.

      You must only pass this field if the transaction is a merchant-initiated transaction (MIT) in a recurring payment series.

      To link the payment, pass one of the following as its value:

      • a payment identifier (for example, pay_cr4hxwizzp6k7biycuk2ibltnm) from the recurring series, or
      • the scheme transaction ID
    • risk
      Type: object ·

      Configures the risk assessment performed during the processing of the payment

    • success_url
      Type: string
      max length:  
      1024
      Format: uri

      For redirect payment methods, this overrides the default success redirect URL configured on your account

    • failure_url
      Type: string
      max length:  
      1024
      Format: uri

      For redirect payment methods, this overrides the default failure redirect URL configured on your account

    • payment_ip
      Type: string ·
      max length:  
      45
      Format: ipv4
      deprecated

      Use the risk.device.network.ipv4 or risk.device.network.ipv6 field instead.

      The IP address used to make the payment. Used by Checkout.com's risk engine to check the customer's IP address – only accepts IPv4 and IPv6 addresses. Required if source.type is sequra

    • sender

      Information about the sender of the payment's funds

      Store a previously tokenized instrument

      • type
        Discriminator
        Type: string enum
        required

        The sender type. If set to instrument, the sender information (name and address) will be retrieved from the payment instrument.

        values
        • individual
        • corporate
        • instrument
      • first_name
        Type: string
        required

        The sender's first name

      • last_name
        Type: string
        required

        The sender's last name

      • address
        Type: object ·
        required

        The sender's address

      • reference
        Type: string

        The unique reference for the sender of the payment.

      • date_of_birth
        Type: string
        max length:  
        10
        Format: date

        The sender's date of birth (yyyy-mm-dd)

      • identification
        Type: object
    • recipient
      Type: object ·

      Information about the recipient of the payment's funds. Relevant for Account Funding Transactions and VISA or Mastercard domestic UK transactions processed by financial institutions.

    • amount_allocations
      Type: array object[] · 1…50

      The sub-entities that the payment is being processed on behalf of

    • processing
      Type: object ·

      Use the processing object to influence or override the data sent during card processing

    • items
      Type: array object[] · …998

      The order's line items.

      The order's line item or product that is being purchased.

    • retry
      Type: object ·

      Configuration of asynchronous retries. For more information about asynchronous retries and supported response codes, see Configure scheduled retries.

    • subscription
      Type: object ·

      The details of the subscription.

    • metadata
      Type: object

      Stores additional information about a transaction with custom fields and up to five user-defined fields, which you can use for reporting purposes. The object supports string, number, and boolean fields, but not arrays or objects.

      You can provide up to 20 metadata fields per API call, but the value of each field must not exceed 255 characters in length.

      You can also reference metadata properties in your custom rules for Fraud Detection. For example, $coupon_code = '1234’.

    • segment
      Type: object ·

      The dimension details about business segment for payment request. At least one dimension required.

    • instruction
      Type: object

      Details about the payment instruction.

    • routing
      Type: object

      Controls processor attempts at the payment level.

Responses
  • application/json
  • application/json
  • 401

    Unauthorized

  • application/json
  • application/json
  • 502

    Bad gateway

Request Example for post/payments
curl 'https://{prefix}.api.sandbox.checkout.com/payments' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "source": {
    "number": "4543474002249996",
    "expiry_month": 6,
    "expiry_year": 2030,
    "name": "Bruce Wayne",
    "cvv": "956",
    "stored": true,
    "store_for_future_use": false,
    "billing_address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    },
    "account_holder": {},
    "allow_update": false,
    "type": "card"
  },
  "fallback_source": {
    "number": "4543474002249996",
    "expiry_month": 6,
    "expiry_year": 2030,
    "name": "Bruce Wayne",
    "cvv": "956",
    "stored": true,
    "store_for_future_use": false,
    "billing_address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    },
    "account_holder": {},
    "allow_update": false,
    "type": "card"
  },
  "amount": 6540,
  "currency": "USD",
  "payment_type": "Recurring",
  "payment_plan": {
    "amount_variability": "Variable",
    "days_between_payments": 28,
    "total_number_of_payments": 5,
    "current_payment_number": 3,
    "expiry": "20251031",
    "name": "Subscription 1234",
    "start_date": "20260507",
    "amount": 1234
  },
  "merchant_initiated": true,
  "reference": "ORD-5023-4E89",
  "description": "Set of 3 masks",
  "authorization_type": "Estimated",
  "partial_authorization": {
    "enabled": true
  },
  "capture": true,
  "capture_on": "",
  "expire_on": "",
  "customer": {
    "id": "cus_y3oqhf46pyzuxjbcn2giaqnb44",
    "email": "brucewayne@gmail.com",
    "name": "Bruce Wayne",
    "tax_number": "1350693505279",
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    },
    "summary": {
      "registration_date": "2023-05-01",
      "first_transaction_date": "2023-07-01",
      "last_payment_date": "2023-08-01",
      "total_order_count": 15,
      "last_payment_amount": 500,
      "is_premium_customer": true,
      "is_returning_customer": true,
      "lifetime_value": 500
    }
  },
  "billing_descriptor": {
    "name": "SUPERHEROES.COM",
    "city": "GOTHAM",
    "reference": "",
    "local_descriptors": [
      {
        "name": "漢字",
        "character_set": null
      }
    ]
  },
  "shipping": {
    "first_name": "John",
    "last_name": "Smith",
    "email": "john.smith@example.com",
    "address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    },
    "from_address_zip": "123456",
    "timeframe": "SameDay",
    "method": "BillingAddress",
    "delay": 5
  },
  "3ds": {
    "enabled": "false",
    "challenge_indicator": "no_preference",
    "allow_upgrade": true,
    "exemption": "low_value"
  },
  "authentication": {
    "preferred_experiences": [
      "google_spa",
      "3ds"
    ]
  },
  "processing_channel_id": "pc_q4dbxom5jbgudnjzjpz7j2z6uq",
  "previous_payment_id": "pay_fun26akvvjjerahhctaq2uzhu4",
  "risk": {
    "enabled": false,
    "device_session_id": "dsid_ipsmclhxwq72phhr32iwfvrflm",
    "device": {
      "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36",
      "network": {
        "ipv4": "63.33.82.13",
        "ipv6": "2001:0000:130F:0000:0000:09C0:876A:130B",
        "tor": false,
        "vpn": false,
        "proxy": false
      },
      "provider": {
        "id": "1728646225211.AfUgxG",
        "name": "List [ \"merchant\", \"fingerprintjs\", \"riskify\" ]"
      },
      "timestamp": "2024-02-06T15:00:00.000Z",
      "timezone": "60",
      "virtual_machine": false,
      "incognito": false,
      "jailbroken": false,
      "rooted": false,
      "java_enabled": false,
      "javascript_enabled": false,
      "language": "FR-fr",
      "color_depth": "16",
      "screen_height": "1080",
      "screen_width": "1920",
      "user_agent_client_hint": "",
      "iframe_payment_allowed": true,
      "accept_header": ""
    }
  },
  "success_url": "https://example.com/payments/success",
  "failure_url": "https://example.com/payments/fail",
  "sender": {
    "type": "individual",
    "reference": "",
    "first_name": "John",
    "last_name": "Jones",
    "date_of_birth": "1985-05-15",
    "address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "identification": {
      "type": "driving_licence",
      "number": "1234",
      "issuing_country": "GT"
    }
  },
  "recipient": {
    "dob": "1985-05-15",
    "account_number": "5555554444",
    "address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "first_name": "John",
    "last_name": "Jones"
  },
  "amount_allocations": [
    {
      "id": "ent_w4jelhppmfiufdnatam37wrfc4",
      "amount": 1000,
      "reference": "ORD-5023-4E89",
      "commission": {
        "amount": 1000,
        "percentage": 1.125
      }
    }
  ],
  "processing": {
    "order_id": "123456789",
    "tax_amount": 3000,
    "surcharge_amount": 200,
    "discount_amount": 0,
    "duty_amount": 0,
    "shipping_amount": 300,
    "shipping_tax_amount": 100,
    "aft": true,
    "preferred_scheme": "mastercard",
    "merchant_initiated_reason": "Delayed_charge",
    "campaign_id": 1,
    "product_type": "QR Code",
    "open_id": "oUpF8uMuAJO_M2pxb1Q9zNjWeS6o",
    "original_order_amount": 10,
    "receipt_id": "10",
    "terminal_type": "WAP",
    "os_type": "ANDROID",
    "invoice_id": "",
    "locale": "en-US",
    "airline_data": [
      {
        "ticket": {
          "number": "045-21351455613",
          "issue_date": "2023-05-20",
          "issuing_carrier_code": "AI",
          "travel_package_indicator": "B",
          "travel_agency_name": "World Tours",
          "travel_agency_code": "01"
        },
        "passenger": [
          {
            "first_name": "John",
            "last_name": "White",
            "date_of_birth": "1990-05-26",
            "address": {
              "country": "US"
            }
          }
        ],
        "flight_leg_details": [
          {
            "flight_number": "101",
            "carrier_code": "BA",
            "class_of_travelling": "J",
            "departure_airport": "LHR",
            "departure_date": "2023-06-19",
            "departure_time": "15:30",
            "arrival_airport": "LAX",
            "stop_over_code": "x",
            "fare_basis_code": "SPRSVR"
          }
        ]
      }
    ],
    "accommodation_data": [
      {
        "name": "The Sea View Hotel",
        "booking_reference": "HOTEL123",
        "check_in_date": "2023-06-20",
        "check_out_date": "2023-06-23",
        "address": {
          "address_line1": "123 Beach Road",
          "zip": "10001"
        },
        "state": "FL",
        "country": "USA",
        "city": "Los Angeles",
        "number_of_rooms": 2,
        "guests": [
          {
            "first_name": "Jane",
            "last_name": "Doe",
            "date_of_birth": "1985-07-14"
          }
        ],
        "room": [
          {
            "rate": "70",
            "number_of_nights_at_room_rate": "3"
          }
        ],
        "property_phone": [
          {
            "country_code": "44",
            "number": "7123456789"
          }
        ],
        "customer_service_phone": [
          {
            "country_code": "44",
            "number": "7123456789"
          }
        ]
      }
    ],
    "merchant_callback_url": "",
    "line_of_business": "Flights",
    "pan_preference": "fpan",
    "service_type": "standard",
    "partner_code": "902111",
    "provision_network_token": true,
    "card_type": "credit",
    "affiliate_id": "",
    "affiliate_url": "www.mycrypto.com",
    "purchase_country": "GB",
    "foreign_retailer_amount": 200,
    "reconciliation_id": "4123495123",
    "aggregator": {
      "sub_merchant_id": "9cf70789ba90123",
      "aggregator_id_visa": "10012345",
      "aggregator_id_mc": "00000123456"
    },
    "scheme_transaction_link_id": ""
  },
  "items": [
    {
      "type": "digital",
      "sub_type": "stablecoin",
      "name": "Necklace",
      "quantity": 2,
      "unit_price": 50,
      "reference": "858818ac",
      "commodity_code": "DEF123",
      "unit_of_measure": "metres",
      "total_amount": 29000,
      "tax_rate": 2000,
      "tax_amount": 1000,
      "tax_exempt": true,
      "discount_amount": 1000,
      "wxpay_goods_id": "1001",
      "url": "",
      "image_url": "",
      "service_ends_on": "2025-01-01",
      "purchase_country": "GB",
      "foreign_retailer_amount": 200
    }
  ],
  "retry": {
    "enabled": true,
    "dunning": {
      "enabled": true,
      "max_attempts": 6,
      "end_after_days": 30
    },
    "downtime": {
      "enabled": true
    }
  },
  "subscription": {
    "id": ""
  },
  "metadata": {
    "coupon_code": "NY2018"
  },
  "segment": {
    "brand": "Acme Corporation",
    "business_category": "Inward Payments",
    "market": "UK"
  },
  "instruction": {
    "purpose": "donations"
  },
  "routing": {
    "attempts": [
      {
        "scheme": "accel"
      }
    ]
  }
}'
{
  "id": "pay_mbabizu24mvu3mela5njyhpit4",
  "action_id": "act_mbabizu24mvu3mela5njyhpit4",
  "amount": 6540,
  "currency": "USD",
  "approved": true,
  "status": "Authorized",
  "auth_code": "770687",
  "response_code": "10000",
  "response_summary": "Approved",
  "3ds": {
    "downgraded": true,
    "enrolled": "N"
  },
  "risk": {
    "flagged": true
  },
  "source": {
    "type": "card",
    "id": "src_nwd3m4in3hkuddfpjsaevunhdy",
    "billing_address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "GB",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    },
    "scheme": "Visa",
    "last4": "6584",
    "fingerprint": "B16D9C2EF0C861A8825C9BD59CCE9171D84EBC45E89CC792B5D1D2D0DDE3DAB7",
    "bin": "448504",
    "card_type": "CREDIT",
    "card_category": "COMMERCIAL",
    "issuer": "GE CAPITAL FINANCIAL, INC.",
    "issuer_country": "US",
    "product_type": "PURCHASING",
    "avs_check": "G",
    "cvv_check": "Y",
    "payment_account_reference": "V001898055688657091"
  },
  "customer": {
    "id": "cus_udst2tfldj6upmye2reztkmm4i",
    "email": "johnsmith@example.com",
    "name": "John Smith",
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    }
  },
  "processed_on": "2019-09-10T10:11:12Z",
  "reference": "ORD-5023-4E89",
  "processing": {
    "retrieval_reference_number": "909913440644",
    "acquirer_transaction_id": "440644309099499894406",
    "recommendation_code": "02",
    "partner_order_id": "5GK24544NA744002L",
    "scheme_merchant_id": "123456"
  },
  "eci": "06",
  "scheme_id": "489341065491658",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.sandbox.checkout.com/payments/pay_mbabizu24mvu3mela5njyhpit4"
    },
    "actions": {
      "href": "https://{prefix}.api.sandbox.checkout.com/payments/pay_mbabizu24mvu3mela5njyhpit4/actions"
    },
    "void": {
      "href": "https://{prefix}.api.sandbox.checkout.com/payments/pay_mbabizu24mvu3mela5njyhpit4/voids"
    },
    "capture": {
      "href": "https://{prefix}.api.sandbox.checkout.com/payments/pay_mbabizu24mvu3mela5njyhpit4/captures"
    }
  }
}

Get payment lists

Returns a list of your business' payments that match the specified reference. Results are returned in reverse chronological order, with the most recent payments shown first.

This will only return payments initiated from June 2022 onwards. Payments initiated before this date may return a 404 error code if you attempt to retrieve them.

Query Parameters
  • limit
    Type: integer Format: int32
    min:  
    1
    max:  
    100

    The numbers of results to retrieve

  • skip
    Type: integer Format: int64
    min:  
    0
    max:  
    999999999

    The number of results to skip

  • reference
    Type: string
    required

    A reference, such as an order ID, that can be used to identify the payment

Responses
  • application/json
  • 401

    Unauthorized

  • application/json
  • application/json
Request Example for get/payments
curl 'https://{prefix}.api.sandbox.checkout.com/payments?reference=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "limit": 10,
  "skip": 10,
  "total_count": 1,
  "data": [
    {
      "id": "pay_mbabizu24mvu3mela5njyhpit4",
      "requested_on": "2026-09-23T13:52:07.856Z",
      "source": {
        "type": "card",
        "id": "src_nwd3m4in3hkuddfpjsaevunhdy",
        "billing_address": {
          "address_line1": "123 High St.",
          "address_line2": "Flat 456",
          "city": "London",
          "state": "string",
          "zip": "SW1A 1AA",
          "country": "GB"
        },
        "phone": {
          "country_code": "+1",
          "number": "415 555 2671"
        },
        "expiry_month": 6,
        "expiry_year": 2025,
        "name": "Bruce Wayne",
        "scheme": "VISA",
        "local_schemes": [
          "cartes_bancaires",
          "visa"
        ],
        "last4": "9996",
        "fingerprint": "F639CAB2745BEE4140BF86DF6B6D6",
        "bin": "45434748",
        "card_type": "CREDIT",
        "card_category": "CONSUMER",
        "card_wallet_type": "applepay",
        "issuer": "GOTHAM STATE BANK",
        "issuer_country": "US",
        "product_id": "F",
        "product_type": "CLASSIC",
        "avs_check": "S",
        "cvv_check": "Y",
        "payment_account_reference": "EUNIX9AX7THOOJIEJ2AP6OOFAHGH4",
        "encrypted_card_number": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUz...",
        "account_update_status": "card_updated",
        "account_update_failure_code": "VAU009",
        "account_holder": {}
      },
      "destination": {
        "type": "bank_account",
        "id": "string"
      },
      "amount": 6540,
      "amount_requested": 6540,
      "currency": "USD",
      "payment_type": "Recurring",
      "payment_plan": {
        "amount_variability": "Variable",
        "days_between_payments": 28,
        "total_number_of_payments": 5,
        "current_payment_number": 3,
        "expiry": "20251031",
        "name": "Subscription 1234",
        "start_date": "20260507",
        "amount": 1234
      },
      "reference": "ORD-5023-4E89",
      "description": "Set of 3 masks",
      "approved": true,
      "expires_on": "string",
      "status": "Authorized",
      "balances": {
        "total_authorized": 6540,
        "total_voided": 0,
        "available_to_void": 6540,
        "total_captured": 0,
        "available_to_capture": 6540,
        "total_refunded": 0,
        "available_to_refund": 0
      },
      "3ds": {
        "downgraded": false,
        "enrolled": "Y",
        "signature_valid": "Y",
        "authentication_response": "Y",
        "authentication_status_reason": "string",
        "cryptogram": "hv8mUFzPzRZoCAAAAAEQBDMAAAA=",
        "xid": "MDAwMDAwMDAwMDAwMDAwMzIyNzY=",
        "eci": "string",
        "version": "2.1.0",
        "exemption": "low_value",
        "exemption_applied": "string",
        "challenged": true,
        "upgrade_reason": "sca_retry",
        "trusted_listing": {
          "status": "Y",
          "source": "01"
        }
      },
      "authentication": {
        "experience": "3ds"
      },
      "risk": {
        "flagged": true,
        "score": 22
      },
      "customer": {
        "id": "cus_y3oqhf46pyzuxjbcn2giaqnb44",
        "email": "brucewayne@gmail.com",
        "name": "Bruce Wayne",
        "summary": {
          "registration_date": "2023-05-01",
          "first_transaction_date": "2023-07-01",
          "last_payment_date": "2023-08-01",
          "total_order_count": 15,
          "last_payment_amount": 500,
          "is_premium_customer": true,
          "is_returning_customer": true,
          "lifetime_value": 500
        }
      },
      "billing_descriptor": {
        "name": "SUPERHEROES.COM",
        "city": "GOTHAM",
        "reference": "string",
        "local_descriptors": [
          {
            "name": "漢字",
            "character_set": null
          }
        ]
      },
      "shipping": {
        "address": {
          "address_line1": "123 High St.",
          "address_line2": "Flat 456",
          "city": "London",
          "state": "string",
          "zip": "SW1A 1AA",
          "country": "GB"
        },
        "phone": {
          "country_code": "+1",
          "number": "415 555 2671"
        }
      },
      "payment_ip": "90.197.169.245",
      "sender": {
        "type": "individual",
        "reference": "8285282045818",
        "first_name": "John",
        "last_name": "Jones",
        "address": {
          "address_line1": "123 High St.",
          "address_line2": "Flat 456",
          "city": "London",
          "state": "string",
          "zip": "SW1A 1AA",
          "country": "GB"
        }
      },
      "amount_allocations": [
        {
          "id": "ent_w4jelhppmfiufdnatam37wrfc4",
          "amount": 1000,
          "reference": "ORD-5023-4E89",
          "commission": {
            "amount": 1000,
            "percentage": 1.125
          }
        }
      ],
      "recipient": {
        "dob": "1985-05-15",
        "account_number": "5555554444",
        "address": {
          "address_line1": "123 High St.",
          "address_line2": "Flat 456",
          "city": "London",
          "state": "string",
          "zip": "SW1A 1AA",
          "country": "GB"
        },
        "first_name": "John",
        "last_name": "Jones"
      },
      "processing": {
        "preferred_scheme": "cartes_bancaires",
        "app_id": "com.iap.linker_portal",
        "airline_data": [
          {
            "ticket": {
              "number": "045-21351455613",
              "issue_date": "2023-05-20",
              "issuing_carrier_code": "AI",
              "travel_package_indicator": "B",
              "travel_agency_name": "World Tours",
              "travel_agency_code": "01"
            },
            "passenger": [
              {
                "first_name": "John",
                "last_name": "White",
                "date_of_birth": "1990-05-26",
                "address": {
                  "country": "US"
                }
              }
            ],
            "flight_leg_details": [
              {
                "flight_number": "101",
                "carrier_code": "BA",
                "class_of_travelling": "J",
                "departure_airport": "LHR",
                "departure_date": "2023-06-19",
                "departure_time": "15:30",
                "arrival_airport": "LAX",
                "stop_over_code": "x",
                "fare_basis_code": "SPRSVR"
              }
            ]
          }
        ],
        "accommodation_data": [
          {
            "name": "The Sea View Hotel",
            "booking_reference": "HOTEL123",
            "check_in_date": "2023-06-20",
            "check_out_date": "2023-06-23",
            "address": {
              "address_line1": "123 Beach Road",
              "zip": "10001"
            },
            "state": "FL",
            "country": "USA",
            "city": "Los Angeles",
            "number_of_rooms": 2,
            "guests": [
              {
                "first_name": "Jane",
                "last_name": "Doe",
                "date_of_birth": "1985-07-14"
              }
            ],
            "room": [
              {
                "rate": "70",
                "number_of_nights_at_room_rate": "3"
              }
            ],
            "property_phone": [
              {
                "country_code": "44",
                "number": "7123456789"
              }
            ],
            "customer_service_phone": [
              {
                "country_code": "44",
                "number": "7123456789"
              }
            ]
          }
        ],
        "partner_customer_id": "2102209000001106125F8",
        "partner_payment_id": "440644309099499894406",
        "partner_code": "999111",
        "failure_code": "partner_error",
        "partner_response_code": "ER_WRONG_TICKET",
        "tax_amount": 1000,
        "locale": "en-US",
        "retrieval_reference_number": "909913440644",
        "partner_order_id": "string",
        "partner_status": "string",
        "partner_transaction_id": "string",
        "partner_error_codes": [
          "string"
        ],
        "partner_merchant_advice_code": "24",
        "partner_error_message": "string",
        "partner_authorization_code": "string",
        "partner_authorization_response_code": "string",
        "partner_fraud_status": "string",
        "pan_type_processed": "fpan",
        "fallback_source_used": false,
        "custom_payment_method_ids": [
          "string"
        ],
        "aft": true,
        "merchant_category_code": "5311",
        "scheme_merchant_id": "123456",
        "scheme": "ACCEL",
        "scheme_transaction_link_id": "string"
      },
      "items": [
        {
          "type": "digital",
          "sub_type": "stablecoin",
          "name": "Necklace",
          "quantity": 2,
          "unit_price": 50,
          "reference": "858818ac",
          "commodity_code": "DEF123",
          "unit_of_measure": "metres",
          "total_amount": 29000,
          "tax_rate": 2000,
          "tax_amount": 1000,
          "tax_exempt": true,
          "discount_amount": 1000,
          "wxpay_goods_id": "1001",
          "url": "string",
          "image_url": "string",
          "service_ends_on": "2025-01-01",
          "purchase_country": "GB",
          "foreign_retailer_amount": 200
        }
      ],
      "metadata": {
        "coupon_code": "NY2018",
        "partner_id": 123989
      },
      "eci": "06",
      "scheme_id": "488341541494658",
      "actions": [
        {
          "id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
          "type": "Authorization",
          "response_code": "10000",
          "response_summary": "Approved"
        }
      ],
      "retry": {
        "enabled": true,
        "attempts_made": 0,
        "max_attempts": 6,
        "ends_on": "2026-09-23T13:52:07.856Z",
        "next_attempt_on": "2026-09-23T13:52:07.856Z"
      },
      "cko_network_token_available": false,
      "instruction": {
        "purpose": "financial_services"
      },
      "_links": {
        "self": {
          "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44"
        },
        "actions": {
          "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/actions"
        },
        "authorize": {
          "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/authorizations"
        },
        "refund": {
          "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/refund"
        }
      }
    }
  ]
}

Get payment details

Returns the details of the payment with the specified identifier string.

If the payment method requires a redirection to a third party (e.g., 3D Secure), the redirect URL back to your site will include a cko-session-id query parameter containing a payment session ID that can be used to obtain the details of the payment, for example:

https://example.com/success?cko-session-id=sid_ubfj2q76miwundwlk72vxt2i7q.

Path Parameters
  • id
    Type: string Pattern: ^(pay|sid)_(\w{26})$
    required

    The payment or payment session identifier

Responses
  • application/json
  • 401

    Unauthorized

  • application/json
  • application/json
  • 429

    Too Many Requests

Request Example for get/payments/{id}
curl 'https://{prefix}.api.sandbox.checkout.com/payments/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "pay_mbabizu24mvu3mela5njyhpit4",
  "requested_on": "2026-09-23T13:52:07.856Z",
  "source": {
    "type": "card",
    "id": "src_nwd3m4in3hkuddfpjsaevunhdy",
    "billing_address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "string",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    },
    "expiry_month": 6,
    "expiry_year": 2025,
    "name": "Bruce Wayne",
    "scheme": "VISA",
    "local_schemes": [
      "cartes_bancaires",
      "visa"
    ],
    "last4": "9996",
    "fingerprint": "F639CAB2745BEE4140BF86DF6B6D6",
    "bin": "45434748",
    "card_type": "CREDIT",
    "card_category": "CONSUMER",
    "card_wallet_type": "applepay",
    "issuer": "GOTHAM STATE BANK",
    "issuer_country": "US",
    "product_id": "F",
    "product_type": "CLASSIC",
    "avs_check": "S",
    "cvv_check": "Y",
    "payment_account_reference": "EUNIX9AX7THOOJIEJ2AP6OOFAHGH4",
    "encrypted_card_number": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUz...",
    "account_update_status": "card_updated",
    "account_update_failure_code": "VAU009",
    "account_holder": {}
  },
  "destination": {
    "type": "bank_account",
    "id": "string"
  },
  "amount": 6540,
  "amount_requested": 6540,
  "currency": "USD",
  "payment_type": "Recurring",
  "payment_plan": {
    "amount_variability": "Variable",
    "days_between_payments": 28,
    "total_number_of_payments": 5,
    "current_payment_number": 3,
    "expiry": "20251031",
    "name": "Subscription 1234",
    "start_date": "20260507",
    "amount": 1234
  },
  "reference": "ORD-5023-4E89",
  "description": "Set of 3 masks",
  "approved": true,
  "expires_on": "string",
  "status": "Authorized",
  "balances": {
    "total_authorized": 6540,
    "total_voided": 0,
    "available_to_void": 6540,
    "total_captured": 0,
    "available_to_capture": 6540,
    "total_refunded": 0,
    "available_to_refund": 0
  },
  "3ds": {
    "downgraded": false,
    "enrolled": "Y",
    "signature_valid": "Y",
    "authentication_response": "Y",
    "authentication_status_reason": "string",
    "cryptogram": "hv8mUFzPzRZoCAAAAAEQBDMAAAA=",
    "xid": "MDAwMDAwMDAwMDAwMDAwMzIyNzY=",
    "eci": "string",
    "version": "2.1.0",
    "exemption": "low_value",
    "exemption_applied": "string",
    "challenged": true,
    "upgrade_reason": "sca_retry",
    "trusted_listing": {
      "status": "Y",
      "source": "01"
    }
  },
  "authentication": {
    "experience": "3ds"
  },
  "risk": {
    "flagged": true,
    "score": 22
  },
  "customer": {
    "id": "cus_y3oqhf46pyzuxjbcn2giaqnb44",
    "email": "brucewayne@gmail.com",
    "name": "Bruce Wayne",
    "summary": {
      "registration_date": "2023-05-01",
      "first_transaction_date": "2023-07-01",
      "last_payment_date": "2023-08-01",
      "total_order_count": 15,
      "last_payment_amount": 500,
      "is_premium_customer": true,
      "is_returning_customer": true,
      "lifetime_value": 500
    }
  },
  "billing_descriptor": {
    "name": "SUPERHEROES.COM",
    "city": "GOTHAM",
    "reference": "string",
    "local_descriptors": [
      {
        "name": "漢字",
        "character_set": null
      }
    ]
  },
  "shipping": {
    "address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "string",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    }
  },
  "payment_ip": "90.197.169.245",
  "sender": {
    "type": "individual",
    "reference": "8285282045818",
    "first_name": "John",
    "last_name": "Jones",
    "address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "string",
      "zip": "SW1A 1AA",
      "country": "GB"
    }
  },
  "amount_allocations": [
    {
      "id": "ent_w4jelhppmfiufdnatam37wrfc4",
      "amount": 1000,
      "reference": "ORD-5023-4E89",
      "commission": {
        "amount": 1000,
        "percentage": 1.125
      }
    }
  ],
  "recipient": {
    "dob": "1985-05-15",
    "account_number": "5555554444",
    "address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "string",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "first_name": "John",
    "last_name": "Jones"
  },
  "processing": {
    "preferred_scheme": "cartes_bancaires",
    "app_id": "com.iap.linker_portal",
    "airline_data": [
      {
        "ticket": {
          "number": "045-21351455613",
          "issue_date": "2023-05-20",
          "issuing_carrier_code": "AI",
          "travel_package_indicator": "B",
          "travel_agency_name": "World Tours",
          "travel_agency_code": "01"
        },
        "passenger": [
          {
            "first_name": "John",
            "last_name": "White",
            "date_of_birth": "1990-05-26",
            "address": {
              "country": "US"
            }
          }
        ],
        "flight_leg_details": [
          {
            "flight_number": "101",
            "carrier_code": "BA",
            "class_of_travelling": "J",
            "departure_airport": "LHR",
            "departure_date": "2023-06-19",
            "departure_time": "15:30",
            "arrival_airport": "LAX",
            "stop_over_code": "x",
            "fare_basis_code": "SPRSVR"
          }
        ]
      }
    ],
    "accommodation_data": [
      {
        "name": "The Sea View Hotel",
        "booking_reference": "HOTEL123",
        "check_in_date": "2023-06-20",
        "check_out_date": "2023-06-23",
        "address": {
          "address_line1": "123 Beach Road",
          "zip": "10001"
        },
        "state": "FL",
        "country": "USA",
        "city": "Los Angeles",
        "number_of_rooms": 2,
        "guests": [
          {
            "first_name": "Jane",
            "last_name": "Doe",
            "date_of_birth": "1985-07-14"
          }
        ],
        "room": [
          {
            "rate": "70",
            "number_of_nights_at_room_rate": "3"
          }
        ],
        "property_phone": [
          {
            "country_code": "44",
            "number": "7123456789"
          }
        ],
        "customer_service_phone": [
          {
            "country_code": "44",
            "number": "7123456789"
          }
        ]
      }
    ],
    "partner_customer_id": "2102209000001106125F8",
    "partner_payment_id": "440644309099499894406",
    "partner_code": "999111",
    "failure_code": "partner_error",
    "partner_response_code": "ER_WRONG_TICKET",
    "tax_amount": 1000,
    "locale": "en-US",
    "retrieval_reference_number": "909913440644",
    "partner_order_id": "string",
    "partner_status": "string",
    "partner_transaction_id": "string",
    "partner_error_codes": [
      "string"
    ],
    "partner_merchant_advice_code": "24",
    "partner_error_message": "string",
    "partner_authorization_code": "string",
    "partner_authorization_response_code": "string",
    "partner_fraud_status": "string",
    "pan_type_processed": "fpan",
    "fallback_source_used": false,
    "custom_payment_method_ids": [
      "string"
    ],
    "aft": true,
    "merchant_category_code": "5311",
    "scheme_merchant_id": "123456",
    "scheme": "ACCEL",
    "scheme_transaction_link_id": "string"
  },
  "items": [
    {
      "type": "digital",
      "sub_type": "stablecoin",
      "name": "Necklace",
      "quantity": 2,
      "unit_price": 50,
      "reference": "858818ac",
      "commodity_code": "DEF123",
      "unit_of_measure": "metres",
      "total_amount": 29000,
      "tax_rate": 2000,
      "tax_amount": 1000,
      "tax_exempt": true,
      "discount_amount": 1000,
      "wxpay_goods_id": "1001",
      "url": "string",
      "image_url": "string",
      "service_ends_on": "2025-01-01",
      "purchase_country": "GB",
      "foreign_retailer_amount": 200
    }
  ],
  "metadata": {
    "coupon_code": "NY2018",
    "partner_id": 123989
  },
  "eci": "06",
  "scheme_id": "488341541494658",
  "actions": [
    {
      "id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
      "type": "Authorization",
      "response_code": "10000",
      "response_summary": "Approved"
    }
  ],
  "retry": {
    "enabled": true,
    "attempts_made": 0,
    "max_attempts": 6,
    "ends_on": "2026-09-23T13:52:07.856Z",
    "next_attempt_on": "2026-09-23T13:52:07.856Z"
  },
  "cko_network_token_available": false,
  "instruction": {
    "purpose": "financial_services"
  },
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44"
    },
    "actions": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/actions"
    },
    "authorize": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/authorizations"
    },
    "refund": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/refund"
    }
  }
}

Get payment actions

Returns all the actions associated with a payment ordered by processing date in descending order (latest first).

Path Parameters
  • id
    Type: string Pattern: ^(pay)_(\w{26})$
    required

    The payment identifier

Responses
  • application/json
  • 401

    Unauthorized

  • application/json
  • application/json
  • 429

    Too Many Requests

Request Example for get/payments/{id}/actions
curl 'https://{prefix}.api.sandbox.checkout.com/payments/{id}/actions' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": "act_fd3h6evhpn3uxdoqbuu3lqnqbm",
    "type": "Refund",
    "processed_on": "2018-01-20T10:30:48Z",
    "amount": 1000,
    "approved": true,
    "response_code": "10000",
    "response_summary": "Approved"
  },
  {
    "id": "act_gefycn3jcvuupboxfmqrhk2aym",
    "type": "Capture",
    "processed_on": "2018-01-17T10:30:48Z",
    "amount": 6540,
    "approved": true,
    "response_code": "10000",
    "response_summary": "Approved",
    "processing": {
      "acquirer_reference_number": "24021219099007452440793",
      "acquirer_transaction_id": "00745244079"
    },
    "metadata": {
      "shipping_ref": "MQIBN2"
    }
  },
  {
    "id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
    "type": "Authorization",
    "processed_on": "2018-01-17T09:30:48Z",
    "amount": 6540,
    "approved": true,
    "auth_code": "643381",
    "response_code": "10000",
    "response_summary": "Approved",
    "reference": "ORD-5023-4E89",
    "processing": {
      "retrieval_reference_number": "909913440644",
      "acquirer_transaction_id": "440644309099499894406"
    }
  }
]

Increment authorization

Request an incremental authorization to increase the authorization amount or extend the authorization's validity period.

Path Parameters
  • id
    Type: string Pattern: ^(pay)_(\w{26})$
    required

    The payment identifier

Headers
  • Cko-Idempotency-Key
    Type: string

    An optional idempotency key for safely retrying payment requests

Body·
application/json
  • amount
    Type: integer Format: int64
    min:  
    0
    max:  
    99999999

    The amount to increase the authorization by. Omit the amount or provide a value of 0 to extend the authorization validity period

  • reference
    Type: string

    A reference you can later use to identify this authorization request

  • metadata
    Type: object

    A set of key-value pairs to attach to the authorization request. You can use this to store additional information in a structured format.

    The metadata object only supports primitive data types. Objects and arrays are not supported.

Responses
  • application/json
  • 401

    Unauthorized

  • 403

    Incremental authorization not allowed

  • 404

    Payment not found

  • application/json
  • 502

    Bad gateway

Request Example for post/payments/{id}/authorizations
curl 'https://{prefix}.api.sandbox.checkout.com/payments/{id}/authorizations' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "amount": 6540,
  "reference": "ORD-5023-4E89",
  "metadata": {
    "coupon_code": "NY2018",
    "partner_id": 123989
  }
}'
{
  "action_id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
  "amount": 6540,
  "currency": "USD",
  "approved": true,
  "status": "Authorized",
  "auth_code": "643381",
  "response_code": "10000",
  "response_summary": "Approved",
  "expires_on": "string",
  "balances": {
    "total_authorized": 6540,
    "total_voided": 0,
    "available_to_void": 6540,
    "total_captured": 0,
    "available_to_capture": 6540,
    "total_refunded": 0,
    "available_to_refund": 0
  },
  "processed_on": "2026-09-23T13:52:07.856Z",
  "reference": "ORD-5023-4E89",
  "processing": {
    "retrieval_reference_number": "909913440644",
    "acquirer_transaction_id": "440644309099499894406",
    "recommendation_code": "02",
    "surcharge_amount": 200,
    "scheme_transaction_link_id": "string"
  },
  "eci": "06",
  "scheme_id": "489341065491658",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44"
    },
    "actions": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/actions"
    },
    "authorize": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/authorizations"
    },
    "void": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/voids"
    },
    "capture": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44/capture"
    }
  }
}

Cancel a scheduled retry

Cancels an upcoming retry, if there is one scheduled

Cancellation requests are processed asynchronously. You can use workflows to be notified if the cancellation is successful.

Path Parameters
  • id
    Type: string Pattern: ^(pay)_(\w{26})$
    required

    The unique payment identifier.

Headers
  • Cko-Idempotency-Key
    Type: string

    An optional idempotency key for safely retrying payment requests

Body·
application/json
  • reference
    Type: string
    max length:  
    80

    A reference you can later use to identify this cancellation request. You can use this value to identify the cancellation request later.

Responses
  • application/json
  • 401

    Unauthorized

  • 403

    Cancellation not allowed

  • 404

    Payment not found

  • application/json
  • 429

    Too Many Requests

  • 502

    Bad gateway

Request Example for post/payments/{id}/cancellations
curl 'https://{prefix}.api.sandbox.checkout.com/payments/pay_mbabizu24mvu3mela5njyhpit4/cancellations' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "reference": "ORD-5023-4E89"
}'
{
  "action_id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
  "reference": "ORD-5023-4E89",
  "_links": {
    "payment": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44"
    }
  }
}

Capture a payment

Captures a payment if supported by the payment method.

For card payments, capture requests are processed asynchronously. You can use workflows to be notified if the capture is successful.

Path Parameters
  • id
    Type: string Pattern: ^(pay)_(\w{26})$
    required

    The payment identifier

Headers
  • Cko-Idempotency-Key
    Type: string

    An optional idempotency key for safely retrying payment requests

Body·
application/json
  • amount
    Type: integer Format: int64
    min:  
    0
    max:  
    9999999999

    The amount to capture. If not specified, the full payment amount will be captured.

  • capture_type
    Type: string enum

    The type of capture. If set to Final, the remaining available-to-capture balance will be voided.

    values
    • NonFinal
    • Final
  • reference
    Type: string
    max length:  
    80

    A reference you can later use to identify this capture request.
    For Amex, the string limit is 30 characters.

  • customer
    Type: object ·

    The customer's details. Required if source.type is tamara

  • description
    Type: string
    max length:  
    100

    A description of the payment.

  • billing_descriptor
    Type: object ·

    An optional description that is displayed on the customer's statement identifying a purchase.

  • shipping
    Type: object

    The shipping details.

  • items
    Type: array object[] · …998

    The order's line items.

    The order's line item or product that is being purchased.

  • amount_allocations
    Type: array object[] · 1…50

    The sub-entities that the payment is being processed on behalf of

  • processing
    Type: object ·

    Use the processing object to influence or override the data sent during card processing

  • metadata
    Type: object

    A set of key-value pairs to attach to the authorization request. You can use this to store additional information in a structured format.

    The metadata object only supports primitive data types. Objects and arrays are not supported.

Responses
  • application/json
  • application/json
  • 401

    Unauthorized

  • 403

    Capture not allowed

  • 404

    Payment not found

  • application/json
  • 502

    Bad gateway

Request Example for post/payments/{id}/captures
curl 'https://{prefix}.api.sandbox.checkout.com/payments/{id}/captures' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "amount": 6540,
  "capture_type": "Final",
  "reference": "ORD-5023-4E89",
  "customer": {
    "id": "cus_y3oqhf46pyzuxjbcn2giaqnb44",
    "email": "brucewayne@gmail.com",
    "name": "Bruce Wayne",
    "tax_number": "1350693505279",
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    },
    "summary": {
      "registration_date": "2023-05-01",
      "first_transaction_date": "2023-07-01",
      "last_payment_date": "2023-08-01",
      "total_order_count": 15,
      "last_payment_amount": 500,
      "is_premium_customer": true,
      "is_returning_customer": true,
      "lifetime_value": 500
    }
  },
  "description": "Set of 3 masks",
  "billing_descriptor": {
    "name": "SUPERHEROES.COM",
    "city": "GOTHAM",
    "reference": "",
    "local_descriptors": [
      {
        "name": "漢字",
        "character_set": null
      }
    ]
  },
  "shipping": {
    "address": {
      "address_line1": "123 High St.",
      "address_line2": "Flat 456",
      "city": "London",
      "state": "",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    },
    "from_address_zip": "10014",
    "tracking_info": [
      {
        "return_shipping_company": "DHL US",
        "return_tracking_number": "GM275322484009027685",
        "return_tracking_uri": "https://example.com/tracking/GM275322484009027685",
        "shipping_company": "DHL US",
        "tracking_number": "GM275322484009027685",
        "tracking_uri": "https://example.com/tracking/GM275322484009027685"
      }
    ]
  },
  "items": [
    {
      "type": "digital",
      "sub_type": "stablecoin",
      "name": "Necklace",
      "quantity": 2,
      "unit_price": 50,
      "reference": "858818ac",
      "commodity_code": "DEF123",
      "unit_of_measure": "metres",
      "total_amount": 29000,
      "tax_rate": 2000,
      "tax_amount": 1000,
      "tax_exempt": true,
      "discount_amount": 1000,
      "wxpay_goods_id": "1001",
      "url": "",
      "image_url": "",
      "service_ends_on": "2025-01-01",
      "purchase_country": "GB",
      "foreign_retailer_amount": 200
    }
  ],
  "amount_allocations": [
    {
      "id": "ent_w4jelhppmfiufdnatam37wrfc4",
      "amount": 1000,
      "reference": "ORD-5023-4E89",
      "commission": {
        "amount": 1000,
        "percentage": 1.125
      }
    }
  ],
  "processing": {
    "order_id": "123456789",
    "otp_value": "966557877988",
    "tax_amount": 3000,
    "surcharge_amount": 200,
    "discount_amount": 0,
    "duty_amount": 0,
    "shipping_amount": 300,
    "shipping_tax_amount": 100,
    "purchase_country": "GB",
    "foreign_retailer_amount": 20000
  },
  "metadata": {
    "coupon_code": "NY2018",
    "partner_id": 123989
  }
}'
{
  "action_id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
  "_links": {
    "payment": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44"
    }
  }
}

Refund a payment

Refunds a payment if supported by the payment method.

For card payments, refund requests are processed asynchronously. You can use workflows to be notified if the refund is successful.

Path Parameters
  • id
    Type: string Pattern: ^(pay)_(\w{26})$
    required

    The payment identifier

Headers
  • Cko-Idempotency-Key
    Type: string

    An optional idempotency key for safely retrying payment requests

Body·
application/json
  • amount
    Type: integer
    min:  
    0

    The amount to refund. If not specified, the full payment amount will be refunded.

  • reference
    Type: string
    max length:  
    80

    A reference you can later use to identify this refund request.
    For Amex, the string limit is 30 characters.
    For TWINT, the string limit is 50 characters.

  • amount_allocations
    Type: array object[] · 1…50

    The sub-entities that the payment is being processed on behalf of

  • capture_action_id
    Type: string

    The Checkout.com action ID of the capture you want to refund. Only for PayPal and Riverty.

  • items
    Type: array object[] · …998

    The order's line items.

    The order's line item or product that is being purchased.

  • destination
    Type: object ·

    The destination of the refund.

    This field is required for giropay and EPS refunds.

  • metadata
    Type: object

    A set of key-value pairs to attach to the authorization request. You can use this to store additional information in a structured format.

    The metadata object only supports primitive data types. Objects and arrays are not supported.

Responses
  • application/json
  • application/json
  • 401

    Unauthorized

  • 403

    Refund not allowed

  • 404

    Payment not found

  • application/json
  • 429

    Too Many Requests

  • 502

    Bad gateway

Request Example for post/payments/{id}/refunds
curl 'https://{prefix}.api.sandbox.checkout.com/payments/pay_mbabizu24mvu3mela5njyhpit4/refunds' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "amount": 6540,
  "reference": "ORD-5023-4E89",
  "amount_allocations": [
    {
      "id": "ent_w4jelhppmfiufdnatam37wrfc4",
      "amount": 1000,
      "reference": "ORD-5023-4E89",
      "commission": {
        "amount": 1000,
        "percentage": 1.125
      }
    }
  ],
  "capture_action_id": "act_fd3h6evhpn3uxdoqbuu3lqnqbm",
  "items": [
    {
      "type": "digital",
      "sub_type": "stablecoin",
      "name": "Necklace",
      "quantity": 2,
      "unit_price": 50,
      "reference": "858818ac",
      "commodity_code": "DEF123",
      "unit_of_measure": "metres",
      "total_amount": 29000,
      "tax_rate": 2000,
      "tax_amount": 1000,
      "tax_exempt": true,
      "discount_amount": 1000,
      "wxpay_goods_id": "1001",
      "url": "",
      "image_url": "",
      "service_ends_on": "2025-01-01",
      "purchase_country": "GB",
      "foreign_retailer_amount": 200
    }
  ],
  "destination": {
    "account_type": "savings",
    "account_number": "13654567455",
    "bank_code": "123-456",
    "branch_code": "6443",
    "iban": "HU93116000060000000012345676",
    "bban": "3704 0044 0532 0130 00",
    "swift_bic": "37040044",
    "country": "GB",
    "account_holder": {
      "type": "individual",
      "first_name": "John",
      "last_name": "Smith",
      "company_name": "Test company",
      "tax_id": "123456",
      "date_of_birth": "1986-01-01",
      "country_of_birth": "GB",
      "residential_status": "resident",
      "billing_address": {
        "address_line1": "123 High St.",
        "address_line2": "Flat 456",
        "city": "London",
        "state": "",
        "zip": "SW1A 1AA",
        "country": "GB"
      },
      "phone": {
        "country_code": "+1",
        "number": "415 555 2671"
      },
      "identification": {
        "type": "passport",
        "number": "09876",
        "issuing_country": "US"
      },
      "email": "test.user@checkout.com"
    },
    "bank": {
      "name": "Lloyds TSB",
      "branch": "Bournemouth",
      "address": {
        "address_line1": "123 High St.",
        "address_line2": "Flat 456",
        "city": "London",
        "state": "",
        "zip": "SW1A 1AA",
        "country": "GB"
      }
    }
  },
  "metadata": {
    "coupon_code": "NY2018",
    "partner_id": 123989
  }
}'
{
  "action_id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
  "_links": {
    "payment": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44"
    }
  }
}

Reverse a payment

Returns funds back to the customer by automatically performing the appropriate payment action depending on the payment's status.

For more information, see Reverse a payment.

Path Parameters
  • id
    Type: string Pattern: ^(pay)_(\w{26})$
    required

    The unique identifier for the payment.

Headers
  • Cko-Idempotency-Key
    Type: string

    An optional idempotency key for safely retrying payment requests

Body·
application/json
  • reference
    Type: string
    max length:  
    80

    An internal reference to identify the payment reversal.

    For American Express payment reversals, there is a 30-character limit.

  • metadata
    Type: object

    Stores additional information about the transaction with custom fields.

    You can only supply primitive data types with one level of depth. Fields of type object or array are not supported.

Responses
  • application/json
  • application/json
  • 401

    Unauthorized

  • 403

    Reversals not supported for this payment

  • 404

    Payment not found

  • application/json
  • 502

    Bad gateway

Request Example for post/payments/{id}/reversals
curl 'https://{prefix}.api.sandbox.checkout.com/payments/{id}/reversals' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "reference": "ORD-5023-4E89",
  "metadata": {
    "coupon_code": "NY2018",
    "partner_id": 123989
  }
}'
{
  "action_id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
  "_links": {
    "payment": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44"
    }
  }
}

Void a payment

Voids a payment if supported by the payment method.

For card payments, void requests are processed asynchronously. You can use workflows to be notified if the void is successful.

Path Parameters
  • id
    Type: string Pattern: ^(pay)_(\w{26})$
    required

    The payment identifier

Headers
  • Cko-Idempotency-Key
    Type: string

    An optional idempotency key for safely retrying payment requests

Body·
application/json
  • amount
    Type: integer Format: int64
    min:  
    0
    max:  
    9999999999

    The amount to void. If not specified, the full payment amount will be voided.

  • reference
    Type: string
    max length:  
    80

    A reference you can later use to identify this void request.
    For Amex, the string limit is 30 characters.

  • metadata
    Type: object

    A set of key-value pairs to attach to the authorization request. You can use this to store additional information in a structured format.

    The metadata object only supports primitive data types. Objects and arrays are not supported.

Responses
  • application/json
  • application/json
  • 401

    Unauthorized

  • 403

    Void not allowed

  • 404

    Payment not found

  • application/json
  • 502

    Bad gateway

Request Example for post/payments/{id}/voids
curl 'https://{prefix}.api.sandbox.checkout.com/payments/{id}/voids' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "amount": 6540,
  "reference": "ORD-5023-4E89",
  "metadata": {
    "coupon_code": "NY2018",
    "partner_id": 123989
  }
}'
{
  "action_id": "act_y3oqhf46pyzuxjbcn2giaqnb44",
  "_links": {
    "payment": {
      "href": "https://{prefix}.api.checkout.com/payments/pay_y3oqhf46pyzuxjbcn2giaqnb44"
    }
  }
}

Search payments

Beta

Search and filter through your payment data to retrieve payments that match your query.

If a search returns more results than the value specified in limit, additional results are returned in a new page. A link to the next page of results is returned in the response's _links.next.href field.

For more information on search syntax, see the Search and filter payments documentation.

Body·
required
application/json

Search query.

  • query
    Type: string
    max length:  
    1024

    The query string.

    For more information on how to build out your query, see the Search and filter payments documentation.

  • limit
    Type: integer
    min:  
    1
    max:  
    1000

    The number of results to return per page.

  • from
    Type: string

    The UTC date and time for the query start in ISO 8601 format. Required if to is provided.

  • to
    Type: string

    The UTC date and time for the query end in ISO 8601 format. Required if from is provided.

Responses
  • application/json
  • 400

    Invalid input

  • 401

    Unauthorized

  • 403

    Forbidden

  • application/json
Request Example for post/payments/search
curl 'https://{prefix}.api.sandbox.checkout.com/payments/search' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "query": "id:'\''pay_mbabizu24mvu3mela5njyhpit4'\''",
  "limit": 10,
  "from": "2023-08-24T14:15:22Z",
  "to": "2023-08-24T14:15:22Z"
}'
{
  "data": [
    {
      "id": "pay_mbabizu24mvu3mela5njyhpit4",
      "requested_on": "2023-08-24T14:15:22Z",
      "source": {
        "type": "card",
        "expiry_month": "04",
        "expiry_year": "2024",
        "name": "Jia Tsang",
        "scheme": "Visa",
        "local_schemes": [
          "cartes bancaires"
        ],
        "last4": "3131",
        "fingerprint": "B16D9C2EF0C861A8825C9BD59CCE9171D84EBC45E89CC792B5D1D2D0DDE3DAB7",
        "bin": "313131",
        "card_type": "credit",
        "card_wallet_type": "googlepay",
        "issuer": "GE CAPITAL FINANCIAL, INC",
        "issuer_country": "US",
        "avs_check": "G"
      },
      "amount": 10000,
      "amount_requested": 10000,
      "currency": "GBP",
      "payment_type": "regular",
      "processing_channel_id": "pc_vxt6yftthv4e5flqak6w2i7rim",
      "reference": "ORD-5023-4E89",
      "status": "captured",
      "balances": {
        "total_authorized": 200,
        "total_captured": 150,
        "total_refunded": 50
      },
      "3ds": {
        "eci": "02",
        "version": "2.1.0"
      },
      "risk": {
        "flagged": false,
        "score": "22"
      },
      "customer": {
        "email": "jia.tsang@checkout.com",
        "name": "Jia Tsang"
      },
      "billing_descriptor": {
        "name": "Purchase",
        "city": "London"
      },
      "metadata": {},
      "actions": [
        {
          "id": "act_egiv5753bwmexj6ip3tlpog6gq",
          "type": "Dispute",
          "processed_on": "2023-08-25T14:15:24Z",
          "status": "Evidence Required",
          "amount": 1310,
          "reason_code": "13.1"
        },
        {
          "id": "act_i3cd3w3lcooexmyrtlgulk3d7a",
          "type": "Capture",
          "processed_on": "2023-08-24T14:15:26Z",
          "status": "Approved",
          "amount": 1310,
          "auth_code": "983647",
          "response_code": "10000",
          "response_summary": "Approved",
          "reference": "REF-7HR-IYW",
          "processing": {
            "acquirer_reference_number": "25651432189281252509653"
          }
        },
        {
          "id": "act_2uwlm6xyeszerhroqhfnotmiwu",
          "type": "Authorization",
          "processed_on": "2023-08-24T14:15:25Z",
          "status": "Approved",
          "amount": 1310,
          "auth_code": "983647",
          "response_code": "10000",
          "response_summary": "Approved",
          "reference": "REF-7HR-IYW",
          "processing": {
            "acquirer_reference_number": "25651432189281252509653"
          }
        },
        {
          "id": "act_mscwxewzdldefh2rbbnhm6aeqi",
          "type": "Authorization",
          "processed_on": "2023-08-24T14:15:24Z",
          "status": "Pending",
          "amount": 1310,
          "reference": "REF-7HR-IYW"
        },
        {
          "id": "act_qocmjw6skb4u3c4wd3avpot64y",
          "type": "Authentication",
          "processed_on": "2023-08-24T14:15:34Z",
          "status": "Approved",
          "authentication_experience": "3ds",
          "authentication_transaction_id": "f05af960-f718-428d-b856-068f6cb9a3b4"
        },
        {
          "id": "act_qocmjw6skb4u3c4wd3avpot64y",
          "type": "Authentication",
          "processed_on": "2023-08-24T14:15:22Z",
          "status": "Pending",
          "reference": "REF-7HR-IYW"
        }
      ]
    }
  ],
  "_links": {
    "next": {
      "href": "https://{prefix}.api.checkout.com/payments/search/nGd7-altGkOfSl3fJptLxA?token=MTc0MDUwMjE2MjQxOCxlN2NiNTdmYy04MDA5LTQ3YmMtOTYzNi0zNDEyOWRmZTkwZTI"
    }
  }
}